Bug 233745 - cdrecord falls back to cd driver when burning a dvd
cdrecord falls back to cd driver when burning a dvd
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2007-03-24 11:29 EDT by George Dunlap
Modified: 2008-05-06 15:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 15:24:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
script capture of cdrecord interaction (3.83 KB, text/plain)
2007-03-24 11:29 EDT, George Dunlap
no flags Details
cdrecord output burning FC6 DVD (3.38 KB, text/plain)
2007-03-24 17:55 EDT, Andre Robatino
no flags Details
output of cdrecord failing to burn ISO file to DVD+RW disc (3.65 KB, text/plain)
2007-05-07 13:57 EDT, Andre Robatino
no flags Details

  None (edit)
Description George Dunlap 2007-03-24 11:29:45 EDT
Description of problem:
When I try to burn a DVD+R on my laptop, cdrecord correctly identifies the
medium as DVD+R.  However, it then complains that it can't find cdrecord-ProDVD
in the path and that I need a license.  It proceeds to use the CD driver
instead(!) and although it complains that the .iso is too large, continues
anyway, producing a useless DVD.

cdrecord-ProDVD hasn't existed for some time now, as the DVD burning capability
ahs been folded into the OSS version of cdrecord.

I downloaded the latest version of cdrecord from the site, compiled, installed,
and it burns just fine.

Version-Release number of selected component (if applicable):

cdrecord 2.01-10

How reproducible:


Steps to Reproduce:
1. Insert blank DVD+R
2. cdrecord -v -dao filename.iso
Actual results:
* Looks and fails to find cdrecord-ProDVD
* Falls back to cd driver
* Detects size mismatch but doesn't stop
* Resulting in a trashed DVD+R

Expected results:
It should do one of the following:
1) Correctly burn the DVD (using latest changes from OSS cdrecord)
2) Fail rather than falling back to the CD driver
 or at very least
3) Fail when it detects the size mismatch.

Additional info:
The man page must be way out of sync.  It mentions the mmc_dvdplus driver (along
with a host of other ones), but when you try to specify that driver, cdrecord
says it doesn't exist.
Comment 1 George Dunlap 2007-03-24 11:29:45 EDT
Created attachment 150827 [details]
script capture of cdrecord interaction
Comment 2 Andre Robatino 2007-03-24 17:53:06 EDT
  I have successfully used a Sony DW-G120A drive to write to both a Phillips
DVD+RW and a Maxell DVD+R, even though ugly-looking error messages appear during
burning.  In fact, growisofs is incapable of providing the padding necessary to
avoid the kernel read-ahead bug, so using cdrecord is the only way to do it.
Comment 3 Andre Robatino 2007-03-24 17:55:23 EDT
Created attachment 150836 [details]
cdrecord output burning FC6 DVD
Comment 4 Jason McCormick 2007-04-03 14:21:36 EDT
I'm seeing this exact problem except that I don't end up with a coaster.  I get
the error about ProDVD and falling back to CDs and then the program aborts.  I
have a Philips DVD+/-RW DVD8801.  Other tools like growisofs work just fine.
Comment 5 Andre Robatino 2007-04-28 02:48:35 EDT
  I successfully made a DVD backup on 3/29, but upon trying it on 4/27, cdrecord
aborted.  I thought it was the new 2944 kernel, but after booting into the same
2933 kernel I was using on 3/29, it still aborted.  So some other update within
the past month must be responsible.
Comment 6 Andre Robatino 2007-05-07 13:57:25 EDT
Created attachment 154288 [details]
output of cdrecord failing to burn ISO file to DVD+RW disc
Comment 7 Andre Robatino 2007-05-07 14:01:46 EDT
  I'm concerned about this bug because in order to avoid the readahead bug when
burning a Fedora DVD (and hence avoid the mediacheck failure) it's necessary to
have padding on the disc after the ISO itself.  Cdrecord but not growisofs is
capable of this.  Are there any other burning tools that can do the same?  I
once tried using dd to manually add zero padding after the ISO.  The resulting
disc passed mediacheck but for some reason couldn't be booted properly.  So I
prefer not to go that route.
Comment 8 Andre Robatino 2007-06-05 16:22:08 EDT
  The F7 fork of cdrecord (wodim) burns DVDs for me without any errors at all.
Comment 9 Bug Zapper 2008-04-04 02:39:24 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Bug Zapper 2008-05-06 15:24:30 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.